--- acpidump_toshiba2610.asl	Thu Feb 28 21:05:54 2002
+++ acpidump_toshiba2610-fix.asl	Thu Feb 28 21:05:54 2002
@@ -73,16 +73,16 @@
         Name(_HID, 0x0f0cd041)
         Name(_UID, 0x1)
         Method(_STA) {
-            STAL(0x60)
+            Return(STAL(0x60)) // FIXME
         }
         Method(_PRS) {
-            PRSL(0x60)
+            Return(PRSL(0x60)) // FIXME
         }
         Method(_CRS) {
-            CRSL(0x60)
+            Return(CRSL(0x60)) // FIXME
         }
         Method(_DIS) {
-            IRQR(0x60)
+            Return(IRQR(0x60)) // FIXME
         }
         Method(_SRS, 1) {
             CreateWordField(Arg0, 0x1, IRQX)
@@ -93,16 +93,16 @@
         Name(_HID, 0x0f0cd041)
         Name(_UID, 0x2)
         Method(_STA) {
-            STAL(0x61)
+            Return(STAL(0x61)) // FIXME
         }
         Method(_PRS) {
-            PRSL(0x61)
+            Return(PRSL(0x61)) // FIXME
         }
         Method(_CRS) {
-            CRSL(0x61)
+            Return(CRSL(0x61)) // FIXME
         }
         Method(_DIS) {
-            IRQR(0x61)
+            Return(IRQR(0x61)) // FIXME
         }
         Method(_SRS, 1) {
             CreateWordField(Arg0, 0x1, IRQX)
@@ -113,16 +113,16 @@
         Name(_HID, 0x0f0cd041)
         Name(_UID, 0x3)
         Method(_STA) {
-            STAL(0x62)
+            Return(STAL(0x62)) // FIXME
         }
         Method(_PRS) {
-            PRSL(0x62)
+            Return(PRSL(0x62)) // FIXME
         }
         Method(_CRS) {
-            CRSL(0x62)
+            Return(CRSL(0x62)) // FIXME
         }
         Method(_DIS) {
-            IRQR(0x62)
+            Return(IRQR(0x62)) // FIXME
         }
         Method(_SRS, 1) {
             CreateWordField(Arg0, 0x1, IRQX)
@@ -133,16 +133,16 @@
         Name(_HID, 0x0f0cd041)
         Name(_UID, 0x4)
         Method(_STA) {
-            STAL(0x63)
+            Return(STAL(0x63)) // FIXME
         }
         Method(_PRS) {
-            PRSL(0x63)
+            Return(PRSL(0x63)) // FIXME
         }
         Method(_CRS) {
-            CRSL(0x63)
+            Return(CRSL(0x63)) // FIXME
         }
         Method(_DIS) {
-            IRQR(0x63)
+            Return(IRQR(0x63)) // FIXME
         }
         Method(_SRS, 1) {
             CreateWordField(Arg0, 0x1, IRQX)
@@ -163,7 +163,7 @@
             }
         }
         Method(_PRS) {
-            PRSL(0xff)
+            Return(PRSL(0xff)) // FIXME
         }
         Method(_CRS) {
             Store(0xea, \_SB_.MEM_.IEDI)
@@ -205,7 +205,7 @@
         Name(_HID, 0x010cd041)
         Name(_STA, 0xf)
         Method(_CRS) {
-            CRS_(0x1)
+            Return(CRS_(0x1)) // FIXME
         }
         OperationRegion(TRAP, SystemMemory, 0x100b6800, 0x10)
         Field(TRAP, AnyAcc, NoLock, Preserve) {
@@ -491,7 +491,7 @@
                     PS3_(0x7)
                 }
                 Method(_PSC) {
-                    PSC_(0x7)
+                    Return(PSC_(0x7)) // FIXME
                 }
             }
             Device(PS2M) {
@@ -521,13 +521,13 @@
             Device(FDD_) {
                 Name(_HID, 0x0007d041)
                 Method(_STA) {
-                    STA_(0xb)
+                    Return(STA_(0xb)) // FIXME
                 }
                 Method(_CRS) {
-                    CRS_(0xb)
+                    Return(CRS_(0xb)) // FIXME
                 }
                 Method(_PRS) {
-                    PRS_(0xb)
+                    Return(PRS_(0xb)) // FIXME
                 }
                 Method(_SRS, 1) {
                     SRS_(0xb, Arg0)
@@ -542,19 +542,19 @@
                     PS3_(0xb)
                 }
                 Method(_PSC) {
-                    PSC_(0xb)
+                    Return(PSC_(0xb)) // FIXME
                 }
             }
             Device(COM_) {
                 Name(_HID, 0x0105d041)
                 Method(_STA) {
-                    STA_(0xe)
+                    Return(STA_(0xe)) // FIXME
                 }
                 Method(_CRS) {
-                    CRS_(0xe)
+                    Return(CRS_(0xe)) // FIXME
                 }
                 Method(_PRS) {
-                    PRS_(0xe)
+                    Return(PRS_(0xe)) // FIXME
                 }
                 Method(_SRS, 1) {
                     SRS_(0xe, Arg0)
@@ -569,7 +569,7 @@
                     PS3_(0xe)
                 }
                 Method(_PSC) {
-                    PSC_(0xe)
+                    Return(PSC_(0xe)) // FIXME
                 }
                 Name(_PRW, Package(0x2) {
                     0x9,
@@ -582,13 +582,13 @@
             Device(PRT_) {
                 Name(_HID, 0x0104d041)
                 Method(_STA) {
-                    STA_(0x10)
+                    Return(STA_(0x10)) // FIXME
                 }
                 Method(_CRS) {
-                    CRS_(0x10)
+                    Return(CRS_(0x10)) // FIXME
                 }
                 Method(_PRS) {
-                    PRS_(0x10)
+                    Return(PRS_(0x10)) // FIXME
                 }
                 Method(_SRS, 1) {
                     SRS_(0x10, Arg0)
@@ -600,13 +600,13 @@
             Device(PRT1) {
                 Name(_HID, 0x0004d041)
                 Method(_STA) {
-                    STA_(0x12)
+                    Return(STA_(0x12)) // FIXME
                 }
                 Method(_CRS) {
-                    CRS_(0x12)
+                    Return(CRS_(0x12)) // FIXME
                 }
                 Method(_PRS) {
-                    PRS_(0x12)
+                    Return(PRS_(0x12)) // FIXME
                 }
                 Method(_SRS, 1) {
                     SRS_(0x12, Arg0)
@@ -619,13 +619,13 @@
                 Name(_HID, 0x000ed041)
                 Name(_UID, 0x1)
                 Method(_STA) {
-                    STA_(0x13)
+                    Return(STA_(0x13)) // FIXME
                 }
                 Method(_CRS) {
-                    CRS_(0x13)
+                    Return(CRS_(0x13)) // FIXME
                 }
                 Method(_PRS) {
-                    PRS_(0x13)
+                    Return(PRS_(0x13)) // FIXME
                 }
                 Method(_SRS, 1) {
                     SRS_(0x13, Arg0)
@@ -640,7 +640,7 @@
                     PS3_(0x13)
                 }
                 Method(_PSC) {
-                    PSC_(0x13)
+                    Return(PSC_(0x13)) // FIXME
                 }
                 Name(_PRW, Package(0x2) {
                     0x9,
@@ -662,13 +662,13 @@
                 Name(_HID, 0x0006d041)
                 Name(_UID, 0x3)
                 Method(_STA) {
-                    STA_(0x16)
+                    Return(STA_(0x16)) // FIXME
                 }
                 Method(_CRS) {
-                    CRS_(0x16)
+                    Return(CRS_(0x16)) // FIXME
                 }
                 Method(_PRS) {
-                    PRS_(0x16)
+                    Return(PRS_(0x16)) // FIXME
                 }
                 Method(_SRS, 1) {
                     SRS_(0x16, Arg0)
